#!/bin/sh
# https://bugzilla.redhat.com/show_bug.cgi?id=836141
# Run in the build src directory of a qpid build
#. tests/test_env.sh
set -x
export PATH=$PATH:/root/qpid-benchmark
pkill -9 qpidd
rm qpidd.*.log

run_qpidd() {
    cluster=$1
    port=$2
    rm -rf _${port}
    mkdir _${port}
    nohup qpidd --port=$port --store-dir=_${port} --log-to-file=qpidd.$port.log --data-dir=_${port} --auth=no --cluster-name=$cluster --log-to-stderr=no "$@" > /dev/null 2>&1 &
}

run_qpidd src 4001 --replication-queue=replication-queue --create-replication-queue
run_qpidd dst 5001 --log-enable=trace+:senderRecord
run_qpidd dst 5002 --log-enable=trace+:senderRecord
run_qpidd dst 5003 --log-enable=trace+:senderRecord
sleep 3

qpid-config -a localhost:4001 add queue dataQ --durable --generate-queue-events 2 --file-count=100 --file-size=128
qpid-config -a localhost:5001 add queue dataQ --durable --file-count=100 --file-size=128
qpid-config -a localhost:5001 add exchange replication replication-exchange
qpid-route --ack 1 queue add localhost:5001  localhost:4001  replication-exchange replication-queue

sleep 3

./spout_drain_in_one_session -c 1000000 -b localhost:4001 -s 25 dataQ &
./spout_drain_in_one_session -c 1000000 -b localhost:4001 -s 25 dataQ &
./spout_drain_in_one_session -c 1000000 -b localhost:4001 -s 25 dataQ &
wait $!
